%undefine _hardened_build
%global with_gtkada 0

Name:       gnatcoll
Version:    2017
Release:    4%{?dist}
Summary:    Suite of reusable software components and utilities
Group:      System Environment/Libraries
License:    GPLv2+
URL:        http://libre.adacore.com
## Direct link not available
Source0:    %{name}-gpl-%{version}-src.tar.gz
##Patch1:     %{name}-2016-directories.patch
Patch2:     %{name}-2016-optflags.patch
Patch3:     gnatcoll-2017-libdir.patch
Patch4:     %{name}-2017-disable_static.patch
## https://github.com/AdaCore/gnatcoll/pull/15
Patch5:     gnatcoll-2017-gprdir.patch
Patch6:     gnatcoll-2017-pyconfig.patch
BuildRequires:   fedora-gnat-project-common >= 2
BuildRequires:   gmp-devel autoconf
%if 0%{?fedora} >= 1
BuildRequires:   python3-devel
%else
BuildRequires:   python2-devel
%endif
%if %with_gtkada
BuildRequires: GtkAda3-devel pygtk2-devel
%endif
BuildRequires:   postgresql-devel chrpath
BuildRequires:   gprbuild >= 2017 libgpr-devel
BuildRequires:   gcc-gnat readline-devel
BuildRequires:   sqlite-devel xmlada-devel
# gprbuild only available on these:
ExclusiveArch: %GPRbuild_arches


%description
The GNAT Component Collection is a suite
of reusable software components and utilities.
It has been used by AdaCore in developing the GNAT tool set,
the GPS Integrated Development Environment, and GNAT Tracker,
its web-based customer support interface.

%package devel
Summary:    Devel package for %{name}
License:    GPLv2+
Group:      Development/Libraries
Requires:   %{name}%{?_isa} = %{version}-%{release}
Requires:   postgresql-devel sqlite-devel

%description devel
%{summary}

%prep
%setup -q -n %{name}-gpl-%{version}-src
##%%patch1 -p1
%patch3 -p1 -b .libsubdir
%patch4 -p1 -b .static
%patch5 -p1 -b .gprdir
%patch6 -p1 -b .python

%build
%configure --enable-shared --enable-gpl \
    --with-readline --with-sqlite=/usr/include/ \
    %if 0%{?fedora} >= 1
    --with-python-exec=python3
    %else
    --with-python-exec=python
    %endif
###    Don't build with python because of aclocal configuration
###    --with-python \
export BUILDS_SHARED="yes"
%if 0%{?fedora} >= 1
make -j1 GPRBLD_OPTS="%GPRbuild_optflags"
%else
make -j1 GNAT_OPTFLAGS="%GNAT_optflags"
%endif


%install
rm -rf %{buildroot}
export GPR_PROJECT_DIR=%_GNAT_project_dir libdir=%{_libdir}
export BUILDS_SHARED="yes"
make install DESTDIR=%{buildroot} prefix=%{buildroot}/%{_prefix} \
libdir=%{buildroot}/%{_libdir} gprdir=%{buildroot}/%_GNAT_project_dir
rm -rf %{buildroot}/%{_libdir}/%{name}/static/*
rm -rf %{buildroot}/%{_datadir}/gps
mkdir -p %{buildroot}/%{_GNAT_project_dir}/
%ifarch x86_64
rm -rf %{buildroot}/%{_libdir}/gnat
%endif
chrpath --delete %{buildroot}/%{_libdir}/%{name}/lib%{name}*.so.*
chrpath --delete %{buildroot}/%{_bindir}/*
rm -f %{buildroot}/%{_datadir}/%{name}/dborm.pyc
rm -f %{buildroot}/%{_datadir}/%{name}/dborm.pyo
mv %{buildroot}/%{_datadir}/examples %{buildroot}/%{_datadir}/%{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%{!?_licensedir:%global license %%doc}
%license COPYING3
%doc README
%{_bindir}/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/lib%{name}*.so.%{version}
%{_libdir}/lib%{name}*.so.%{version}
%{_datadir}/%{name}

%files devel
%doc CHANGE*
%doc %{_datadir}/doc/%{name}/
%{_GNAT_project_dir}/%{name}*
%{_includedir}/%{name}
%{_libdir}/%{name}/*.ali
%{_libdir}/%{name}/lib%{name}*.so
%{_libdir}/lib%{name}*.so
%{_GNAT_project_dir}/manifests/gnatcoll




%changelog
* Thu Jul 20 2017 Pavel Zhukov <landgraf@fedoraproject.org> - 2017-4
- Drop devel suffix
- New version (2017)

* Sat Jul 15 2017 Pavel Zhukov <pzhukov@redhat.com> - 2016-5.1d
- Rebuild with new gprbuild

* Fri Jul  7 2017 Pavel Zhukov <pzhukov@redhat.com> - 2016-4.1d
- Rebuild with new gnat

* Tue May 23 2017 Pavel Zhukov <landgraf@fedoraproject.org> - 2016-3
- Switch to python3 (#1453185)

* Sun Apr 16 2017 Pavel Zhukov <landgraf@fedoraproject.org> - 2016-2
- Disable gtkada in rawhide

* Sat Apr 15 2017 Pavel Zhukov <landgraf@fedoraproject.org> - 2016-1
- New version (#2016)

* Mon Aug 08 2016 Björn Persson <Bjorn@Rombobjörn.se> - 2014-7
- Rebuilt to link to GTKada 3.14.2.

* Tue Feb 02 2016 Björn Persson <Bjorn@Rombobjörn.se> - 2014-6
- Rebuilt with GCC 6 prerelease.

* Mon Sep 21 2015 Peter Robinson <pbrobinson@fedoraproject.org> 2014-5
- Rebuild (GtkAda3)
- Add docs to devel
- use %%license

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2014-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 01 2015 Pavel Zhukov <landgraf@fedoraproject.org> - 2014-3
- Enable GtkAda support

* Tue May 26 2015 Pavel Zhukov <landgraf@fedoraproject.org> - 2014-2
- New release (2014)
- Disabled Gtkada support
- Depends on gprbuild >= 2014

* Fri May 01 2015 Björn Persson <Bjorn@Rombobjörn.se> - 2013-11
- Patched to build with GCC 5.

* Tue Mar 31 2015 Pavel Zhukov <landgraf@fedoraproject.org> - 2013-10
- Fix library dir

* Sat Oct 11 2014 Pavel Zhukov <landgraf@fedoraproject.org> - 2013-9
- Do not build on arm 

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2013-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2013-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 13 2014 Peter Robinson <pbrobinson@fedoraproject.org> 2013-6
- Use GNAT_arches rather than an explicit list

* Wed May  7 2014 Pavel Zhukov <landgraf@fedoraproject.org> - 2013-5
- Rebuild with new libgnat

* Wed Nov 20 2013  Pavel Zhukov <landgraf@fedoraproject.org> - 2013-4
- Fix parallel build in rawhide

* Tue Nov 19 2013  Pavel Zhukov <landgraf@fedoraproject.org> - 2013-2
- Add psql and sqlite to devel's requirement

* Sat Nov 02 2013  Pavel Zhukov <landgraf@fedoraproject.org> - 2013-1
- New release 2013 (1.6w)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2012-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jan 26 2013 Pavel Zhukov <landgraf@fedoraproject.org> - 2012-7
- Rebuild with new libgmat
- Add gcc-gnat to BR

* Tue Jul 24 2012 Pavel Zhukov <landgraf@fedoraproject.org> - 2012-5
- Delete rpath from libraries
- Add lgpr files to project

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2012-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 17 2012 Pavel Zhukov <landgraf@fedoraproject.org> - 2012-3
- Update to 2012
- Fix library type in gpr
- Fix project files path

* Sat Mar 10 2012  Pavel Zhukov <landgraf@fedoraproject.org> - 2011-8
- Rebuild for new gprbuild 

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2011-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov 08 2011 Pavel Zhukov <landgraf@fedoraproject.org> - 2011-6
- Rebuild for new spm 

* Thu Aug 18 2011 Pavel Zhukov <landgraf@fedoraproject.org> - 2011-5
- Fix gnat_optflags

* Wed Aug 17 2011 Pavel Zhukov <landgraf@fedoraproject.org> - 2011-4
- Initial build
- Remove trailing @ from Makefile
- Add ifarch for rm
- Add ExcludeArch

